Package net.postgis.jdbc.geometry

# Class LineString

java.lang.Object
net.postgis.jdbc.geometry.Geometry
net.postgis.jdbc.geometry.ComposedGeom
net.postgis.jdbc.geometry.PointComposedGeom
net.postgis.jdbc.geometry.LineString

All Implemented Interfaces:
  `Serializable`

public class LineString extends PointComposedGeom

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class net.postgis.jdbc.geometry.ComposedGeom

`EMPTY, subgeoms`

### Fields inherited from class net.postgis.jdbc.geometry.Geometry

`ALLTYPES, dimension, GEOMETRYCOLLECTION, haveMeasure, LINEARRING, LINESTRING, MULTILINESTRING, MULTIPOINT, MULTIPOLYGON, POINT, POLYGON, srid, type, UNKNOWN_SRID`

## Constructor Summary

Constructors
Constructor
Description
`LineString()`
`LineString(String value)`
`LineString(String value, boolean haveM)`
`LineString(Point[] points)`

## Method Summary

Modifier and Type
Method
Description
`LineString`
`concat(LineString other)`
`double`
`length()`
`LineString`
`reverse()`

### Methods inherited from class net.postgis.jdbc.geometry.PointComposedGeom

`createSubGeomArray, createSubGeomInstance, getPoint, getPoints, innerWKT, numPoints`

### Methods inherited from class net.postgis.jdbc.geometry.ComposedGeom

`checkConsistency, equalsintern, getFirstPoint, getLastPoint, getSubGeometry, hashCode, isEmpty, iterator, mediumWKT, numGeoms, setSrid`

### Methods inherited from class net.postgis.jdbc.geometry.Geometry

`equals, equals, getDimension, getSrid, getType, getTypeString, getTypeString, getValue, initSRID, isMeasured, outerWKT, outerWKT, parseSRID, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LineString

public LineString()

### LineString

public LineString(Point[] points)

### LineString

public LineString(String value) throws SQLException

Throws:
  `SQLException`

### LineString

public LineString(String value, boolean haveM) throws SQLException

Throws:
  `SQLException`

## Method Details

### reverse

public LineString reverse()

### concat

public LineString concat(LineString other)

### length

public double length()